Saved Responses
You can keep simple text Saved Responses that your Inbox Users can use separately from Templates
List saved responses: the reusable replies your team can insert in the hosted Inbox.
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
Number of results to return per page.
The initial index from which to return the results.
Search text in saved responses
123http://api.example.org/accounts/?offset=400&limit=100http://api.example.org/accounts/?offset=200&limit=100GET /api/v1/saved_responses/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": 1,
"text": "text",
"created_by": 1,
"timestamp": 1
}
]
}Create a saved response.
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
Primary ID.
Primary ID.
POST /api/v1/saved_responses/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"text": "text"
}{
"id": 1,
"text": "text",
"created_by": 1,
"timestamp": 1
}Delete a saved response.
A user token, sent as Token <token>. Create a user in the admin panel (group App integration) and get its token from POST /api/v1/auth/token/. The channel API key (D360-Api-Key) is not supported.
A unique integer value identifying this saved response.
No response body
No content
DELETE /api/v1/saved_responses/{id}/ HTTP/1.1
Host: your-stack.inbox.getchat.360dialog.io/
Authorization: Token YOUR_TOKEN
Accept: */*
No response body
No content
Last updated
Was this helpful?